Has patch:
Complexity:
Subject: Set useful defaults for cascade attributes in Doctrine
Description

Use DDD semantics to add cascade attributes all INSIDE aggregate boundaries, NO cascading to other aggregate roots. Manually
added cascade wins over automagic, of course.

Related issues:
blocks TYPO3.Flow - Task # 29039: Change default policy for Doctrine to DEFER... Resolved 2011-08-17
blocked by TYPO3.Flow - Feature # 29037: Use annotation to mark entities as a... Rejected 2011-08-17

Associated revisions
Revision ac0d745f - 2011-08-26 13:22 - Karsten Dambekalns

[FEATURE] Set useful defaults for cascade attributes in Doctrine

Our metadata driver now adds cascade all to all relations not pointing
to an aggregate root, orphanRemoval is also turned on where applicable.

You can thus remove cascade attributes unless you want to override the
automagic explicitly.

Change-Id: I0708a87fbc28527afb4414e731c2373b39ad7078
Resolves: #29038
Related: #28486

History
#1 - 2011-08-22 12:59 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I0708a87fbc28527afb4414e731c2373b39ad7078 has been pushed to the review server.
It is available at http://review.typo3.org/4469

#2 - 2011-08-24 07:18 - Mr. Hudson

Patch set 2 of change I0708a87fbc28527afb4414e731c2373b39ad7078 has been pushed to the review server.
It is available at http://review.typo3.org/4469

#3 - 2011-08-25 16:51 - Mr. Hudson
Patch set 3 of change I0708a87fbc28527afb4414e731c2373b39ad7078 has been pushed to the review server.
It is available at http://review.typo3.org/4469

#4 - 2011-08-25 16:59 - Mr. Hudson

Patch set 4 of change I0708a87fbc28527afb4414e731c2373b39ad7078 has been pushed to the review server.
It is available at http://review.typo3.org/4469

#5 - 2011-08-25 17:30 - Mr. Hudson

Patch set 5 of change I0708a87fbc28527afb4414e731c2373b39ad7078 has been pushed to the review server.
It is available at http://review.typo3.org/4469

#6 - 2011-08-26 13:22 - Mr. Hudson

Patch set 6 of change I0708a87fbc28527afb4414e731c2373b39ad7078 has been pushed to the review server.
It is available at http://review.typo3.org/4469

#7 - 2011-08-26 13:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ac0d745f0c214068fcc40cf759bb47ae5079e8d5.
